/**
  * Theme Name: Bi San Valentino
  * Description: Another Syrus Child Theme
  * Author: Syrus
  * Template: syrus
  * Version: 0.0.1
  */

body {
    font: 62.5%/1.3em Helvetica, sans-serif;
    min-height: 100vh;
    overflow: hidden !important;
}

.body-puzzle {
    width: 100%;
    min-height: 100vh;
    background-image: url(assets/images/roses-bg.webp);
    background-repeat: no-repeat;
    background-size: cover;
    padding: 200px;
}

table { 
    border-collapse: collapse; 
    border-spacing: 0; 
    max-width: 100%;
}

table tr{
    width: 100%;
}

table td {
    width: 3em;
    height: 3em;
    border: 1px solid black;
    padding: 0;
    margin: 0;
    background-color: #333;
    position: relative;
}
        
td input {
    width: 100%;
    height: 100%;
    padding: 0em;
    border: none;
    text-align: center;
    font-size: 25px;
    color: #666;
    background-color: white;
}

td input:focus {
    background-color: #fff;
}

td span {
    color: #444;
    font-size: 0.8em;
    position: absolute;
    top: -1px;
    left: 1px;
}

input.done {
    font-weight: 500;
    color: green;
}

.active,
.clues-active {
    background-color: #ddd;
}

.clue-done {
    color: #999;
    text-decoration: line-through;
}

#puzzle-wrapper {
    float: left;
    width: 54%;
    padding-right: 0;
    margin-bottom: 300px;
    display: flex;
    justify-content: center;
}

#puzzle-clues {
    float: left;
    width: 40%;
    padding-left: 0;
    background: white;
    padding: 25px;
}

#puzzle-clues h2 {
    font-size: 22px;
}

#puzzle-clues li{
    font-size: 14px;
    margin: .3em;
    line-height: 1.6em;
}

#across,
#down {
    list-style: circle;
    padding-left: 20px;
}

.body-gift-card {
    text-align: center;
    min-height: 100vh;
    background-image: url(assets/images/roses-bg.webp);
    background-repeat: no-repeat;
    background-size: cover;
}

.body-gift-card * {
    font-family: "Love Light", serif;
    font-weight: 400;
    font-style: normal;
}

.body-gift-card h1 {
    font-size: 80px;
}

.body-gift-card h3 {
    font-size: 33px;
    margin: 0;
    margin-top: 20px;
}

.gift-card-container {
    cursor: pointer;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    perspective: 1400px;
    transition: all 0.2s ease;
}

.gift-card-container .us {
    padding: 10px;
    border: 2px solid lightgray;
}

.gift-card-container .us p {
    font-size: 13px;
    font-family: Helvetica;
    margin: 0;
    padding-bottom: 10px;
}

.gift-card-container img {
    padding-bottom: 20px;
}

.open .gift-card-container {
    transform: translate(0%, -50%);
}

.gift-card {
    max-width: 400px;
    max-height: 600px;
    width: 80vw;
    height: 120vw;
    transform-style: preserve-3d;
    transform: rotateX(65deg);
    transition: all 1s ease;
    color: white;
}

.open .gift-card {
    transform: rotateX(0deg);
}

.gift-card-panel {
    border: 1px solid black;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: grid;
    place-items: center;
    transition: all 1s ease;
    backface-visibility: visible;
    transform-origin: left;
    transform-style: preserve-3D;
    transform: rotate3d(0, 1, 0, 0deg);
}

.gift-card-panel-front {
    backface-visibility: hidden;
    background: #c31419;
    z-index: 1;
}

.open .gift-card-panel-front {
    transform: rotate3d(0, 1, 0, -170deg);
}

.gift-card-panel-inside-left {
    background: #fff;
    z-index: 0;
}

.open .gift-card-panel-inside-left {
    transform: rotate3d(0, 1, 0, -170deg);
    display: flex;
    justify-content: start;
    align-items: end;
}

.gift-card-panel-inside-right {
    border-left: none;
    background: #fff;
    z-index: -1;
}

.gift-card-panel-inside-left,
.gift-card-panel-inside-right {
    color: black;
    font-size: 75px;
}


.gift-card-panel-inside-left p {
    transform: rotateY(180deg);
    font-size: 20px;
    font-weight: 500;
    padding: 10px;
    margin: 0;
}

.bg_heart {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden
}

.heart {
    position: absolute;
    top: -50%;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -m-transform: rotate(-45deg);
    transform: rotate(-45deg)
}

.heart:before {
    position: absolute;
    top: -50%;
    left: 0;
    display: block;
    content: "";
    width: 100%;
    height: 100%;
    background: inherit;
    border-radius: 100%;
}

.heart:after {
    position: absolute;
    top: 0;
    right: -50%;
    display: block;
    content: "";
    width: 100%;
    height: 100%;
    background: inherit;
    border-radius: 100%;
}

@-webkit-keyframes love {
    0% {
        top: 110%;
    }
}

@-moz-keyframes love {
    0% {
        top: 110%;
    }
}

@-ms-keyframes love {
    0% {
        top: 110%;
    }
}

@keyframes love {
    0% {
        top: 110%;
    }
}

td.entry-7:nth-child(6) > input:nth-child(1),
td.entry-5:nth-child(7) > input:nth-child(1),
td.entry-6:nth-child(8) > input:nth-child(1),
#puzzle > tbody:nth-child(1) > tr:nth-child(2) > td:nth-child(1) > input:nth-child(1),
#puzzle > tbody:nth-child(1) > tr:nth-child(10) > td:nth-child(11) > input:nth-child(1) {
    background: #9f1c1f;
    color: white;
}

.overlay-bi {
    opacity: 0;
    transition: visibility 0s .3s, opacity .3s;
    z-index: 1000;
}

.overlay-bi.shown {
    visibility: visible;
    opacity: 1;
    transition: opacity .3s;
    z-index: 998;
    position: absolute;
    top: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    background: darkred;
}
  
.overlay-bi .bi-loader {
    display: flex;
    gap: 5px;
    margin-top: 30px;
}
  
.overlay-bi .bi-loader span {
    width: 10px;
    height: 10px;
    background: white;
    border-radius: 100%;
    opacity: .5;
}

.overlay-bi.shown .bi-loader span {
    animation: fade 1.5s infinite;
}

.overlay-bi p {
    color: white;
    margin-top: 20px;
}

.overlay-bi .bi-loader span:nth-child(1) {
    animation-delay: 0s;
}

.overlay-bi .bi-loader span:nth-child(2) {
    animation-delay: 0.5s;
}

.overlay-bi .bi-loader span:nth-child(3) {
    animation-delay: 1s;
}

.overlay-bi img {
    height: 50vh;
    background: white;
    border: 1px solid lightgrey;
}
  
.img-ov-container {
    background: white;
    padding: 15px;
}
  
.img-ov-container p {
    color: #8b0000;
    font-family: "Love Light", serif;
    font-size: 35px;
}

.close-puzzle {
    position: absolute;
    color: white;
    right: 30px;
    top: 20px;
    cursor: pointer;
    z-index: 9999;
}  